// The class SRCBAndLBItem is designed to store all information regarding a an entry
// in a CLIstBox or a CComboBox.

#ifndef _SRCBANDLBITEM_H
#define _SRCBANDLBITEM_H

class SRCBAndLBItem {
	private:
		int			_index;
		CString		_text;
		DWORD		_itemData;
	public:
		SRCBAndLBItem();
		SRCBAndLBItem(const SRCBAndLBItem& rhs);
		SRCBAndLBItem(const int& index, const CString& text, DWORD item);
		virtual ~SRCBAndLBItem();
// Operators
		SRCBAndLBItem& operator=(const SRCBAndLBItem& rhs);
// Inspectors
		int GetIndex() const { return _index; }
		const CString& GetText() const { return _text; }
		DWORD GetItemData() const { return _itemData; }
};

class SRCBAndLBItemArray : public CTypedPtrArray <CPtrArray, SRCBAndLBItem*> {
	public:
		SRCBAndLBItemArray();	// Constructor
		virtual ~SRCBAndLBItemArray();	// Destructor
		void RemoveAll();
};


#endif